Make configure[.ng] compatible with autoconf 1.10 again
authorAlexander Barton <alex@barton.de>
Mon, 18 Mar 2013 11:45:32 +0000 (12:45 +0100)
committerAlexander Barton <alex@barton.de>
Sun, 24 Mar 2013 15:39:15 +0000 (16:39 +0100)
The incompatibility has been introduced by commit d0c9f4a6,
"configure: search for iconv_open as well as libiconv_open".

configure.ng

index 6c28f39..49fc75a 100644 (file)
@@ -527,14 +527,15 @@ if test "$x_ircplus_on" = "yes"; then
                                LDFLAGS="-L$withval/lib $LDFLAGS"
                        fi
                        AC_CHECK_LIB(iconv, iconv_open)
-                       AC_CHECK_FUNCS(iconv_open, x_iconv_on=yes,
+                       AC_CHECK_FUNCS(iconv_open, x_iconv_on=yes)
+                       if test "$x_iconv_on" != "yes"; then
                                AC_CHECK_LIB(iconv, libiconv_open)
-                               AC_CHECK_FUNCS(libiconv_open, x_iconv_on=yes,
-                                       AC_MSG_ERROR([Can't enable libiconv support!])
-                               )
-                       )
-                 fi
-               ]
+                               AC_CHECK_FUNCS(libiconv_open, x_iconv_on=yes)
+                       fi
+                       if test "$x_iconv_on" != "yes"; then
+                               AC_MSG_ERROR([Can't enable libiconv support!])
+                       fi
+               fi ]
        )
        if test "$x_iconv_on" = "yes"; then
                AC_DEFINE(ICONV, 1)